## fortunes-fr 0.63

=== debian/changelog ===
fortunes-fr (0.63) unstable; urgency=low

  * Added Portuguese debconf translation. Thanks to Rui Branco
    (closes: bug#381938).
  * Added #debian-fr@undernet from http://moule.org/fortunes/debian-fr
    (closes: bug#372485).

 -- Aurelien Jarno <aurel32@debian.org>  Sun,  8 Oct 2006 16:20:14 +0200

=== debian/control ===
Source: fortunes-fr
Section: games
Priority: optional
Maintainer: Aurelien Jarno <aurel32@debian.org>
Build-Depends: debhelper (>> 4.1.16), fortune-mod (>= 9708-31), sed (>= 3.02-8), perl, recode (>= 3.6-6), findutils (>= 4.1.7-2)
Standards-Version: 3.7.2

Package: fortunes-fr
Architecture: all
Depends: ${misc:Depends}, fortune-mod (>= 9708-31), sed (>= 3.02-8), grep (>= 2.4.2-3), coreutils (>= 5.0-4)
Provides: fortune-cookie-db
Description: French fortunes cookies
 A collection of French fortune cookies, from various sources:
  * fortunes-fr
  * ellisllk (mauriceetpatapon, oulipo)
  * GCU - Le Guide du Cabaliste Usenet
  * GDP - Le Guide du Debianiste Pervers
  * GFA - Le Guide du Fmblien Assassin
  * GLP - Le Guide du Linuxien Pervers
  * GPJ - Le Guide du Petit Joueur
  * La tribune libre de linuxfr
  * Les bonnes fortunes de J.R.R. Tolkien
  * Les fortunes de Multidesk OS
  * Les fortunes de Multidesk OS (2)
  * #linuxfr@Undernet
 .
 This package can be replacement for or an addition to the fortunes
 package to let fortune speak French.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

INSTALL_DIR = install -p -d -o root -g root -m 755
INSTALL_FILE = install -p -o root -g root -m 644


configure: configure-stamp
configure-stamp:
	dh_testdir
	cd $(CURDIR)/fortunes-fr-* &&  ./configure --prefix=/usr --with-fortunesdir=\$${prefix}/share/games/fortunes/fr
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	cd $(CURDIR)/fortunes-fr-*/ && make
	cd $(CURDIR)/linuxfr-undernet && tar xfz linuxfr-20020411.tar.gz
	cd $(CURDIR)/tolkien && tar xfz tolkien_fr-1.6.tgz
	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	-cd $(CURDIR)/fortunes-fr-*/ && make clean
	-rm -rf $(CURDIR)/linuxfr-undernet/linuxfr-20020411
	-rm -rf $(CURDIR)/tolkien/tolkien_fr-1.6
	-rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# All the fortunes are converted to the fortune format here, in
	# order to keep the integrity of the upstream sources.

	# fortunes-fr
	cd $(CURDIR)/fortunes-fr-* && make install DESTDIR=$(CURDIR)/debian/fortunes-fr
	mv -f $(CURDIR)/debian/fortunes-fr/usr/share/doc/fortunes-fr/AUTHORS $(CURDIR)/debian/fortunes-fr/usr/share/doc/fortunes-fr/fortunes-fr.AUTHORS
	mv -f $(CURDIR)/debian/fortunes-fr/usr/share/doc/fortunes-fr/CHANGES $(CURDIR)/debian/fortunes-fr/usr/share/doc/fortunes-fr/fortunes-fr.changelog
	rm -f $(CURDIR)/debian/fortunes-fr/usr/share/doc/fortunes-fr/{COPYING,README}
	rm -f $(CURDIR)/debian/fortunes-fr/usr/share/games/fortunes/fr/*.dat

	# ellislk
	$(INSTALL_FILE) ellisllk/mauriceetpatapon \
	                $(CURDIR)/debian/fortunes-fr/usr/share/games/fortunes/fr
	$(INSTALL_FILE) ellisllk/oulipo \
	                $(CURDIR)/debian/fortunes-fr/usr/share/games/fortunes/fr

	# GCU - Guide du Cabaliste Usenet
	lines=`wc -l gcu/cabale.txt | sed -e 's/gcu\/cabale.txt//g'` ;\
	head -n $$(($$lines - 2)) gcu/cabale.txt | sed -e "s/^$$/%/g" \
	     > $(CURDIR)/debian/fortunes-fr/usr/share/games/fortunes/fr/gcu

	# GFA - Guide Fmblien Assassin
	sed -e "s/^$$/%/g" gfa/GFA \
	    > $(CURDIR)/debian/fortunes-fr/usr/share/games/fortunes/fr/gfa

	# GPJ - Guide du Petit Joueur
	(cat gpj/gpj ; echo) | sed -e "s/^$$/%/g" \
	    > $(CURDIR)/debian/fortunes-fr/usr/share/games/fortunes/fr/gpj

	# GLP - Guide du Linuxien Pervers
	(cat glp/glp.txt ; echo) | sed -e "s/^$$/%/g" \
	    > $(CURDIR)/debian/fortunes-fr/usr/share/games/fortunes/fr/glp

	# La tribune de linuxfr
	$(INSTALL_FILE) tribune-linuxfr/tribune.fortune \
			$(CURDIR)/debian/fortunes-fr/usr/share/games/fortunes/fr/tribune-linuxfr

	# Les bonnes fortunes de J.R.R. Tolkien
	$(INSTALL_FILE) tolkien/tolkien_fr-1.6/tolkien_fr \
			$(CURDIR)/debian/fortunes-fr/usr/share/games/fortunes/fr

	# Les fortunes de Multidesk OS
	$(INSTALL_FILE) multidesk/multidesk \
			$(CURDIR)/debian/fortunes-fr/usr/share/games/fortunes/fr

	# Les fortunes de Multidesk OS (2)
	$(INSTALL_FILE) mdos/fortunes-mdos.txt \
			$(CURDIR)/debian/fortunes-fr/usr/share/games/fortunes/fr/multidesk2
		
	# #linuxfr@Undernet
	$(INSTALL_FILE) linuxfr-undernet/linuxfr-20020411/linuxfr \
			$(CURDIR)/debian/fortunes-fr/usr/share/games/fortunes/fr/linuxfr-undernet

	# #debian-fr@freenode
	$(INSTALL_FILE) debian-fr/debian-fr \
			$(CURDIR)/debian/fortunes-fr/usr/share/games/fortunes/fr

	# remove "^-- $" from datafiles
	@echo -e "\nRemoving \"^-- $$\" from datafiles"
	@for file in `find $(CURDIR)/debian/fortunes-fr/usr/share/games/fortunes/fr/ -type f` ; do \
		sed -e "/^-- $$/d" $$file > $$file.new ; mv $$file.new $$file ; \
	done

	# verify fortunes datafiles
	@echo -e "\nVerifying fortunes datafiles..."
	@for file in `find $(CURDIR)/debian/fortunes-fr/usr/share/games/fortunes/fr/ -type f` ; do \
		awk '/^%/ {gsub("((.*)/)*","", FILENAME); if ($$0 != "%") print FILENAME": "NR": WARNING: extranumerous characters after %"} END {if ($$0 != "%") print FILENAME": ERROR: file does not end with %"}' $$file ; \
		awk '{gsub("\t", "        "); gsub("((.*)/)*","", FILENAME); if (length($$0) > 72) print FILENAME": "NR": WARNING: line too long ("length($$0)" characters)"}' $$file ; \
	done

	# recode files to UTF-8 and generate.dat files
	for i in $$(find $(CURDIR)/debian/fortunes-fr/usr/share/games/fortunes/fr -type f) ; do \
		recode iso-8859-15..UTF-8 $$i ; \
		touch $$i.u8 ; \
		strfile $$i ; \
	done
	mv $(CURDIR)/debian/fortunes-fr/usr/share/games/fortunes/fr/*.dat $(CURDIR)/debian/fortunes-fr/usr/share/games/fortunes-fr

# Build architecture-dependent files here.
binary-arch: build install 
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## fortunes-fr 0.65

=== debian/changelog ===
fortunes-fr (0.65) unstable; urgency=low

  * Fix build with dash (closes: bug#459172).
  * Remove wrong citation of François-René de Chateaubriand (closes:
    bug#445229).
  * Bump Standards-Version to 3.7.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 21 Jan 2008 00:48:52 +0100

fortunes-fr (0.64) unstable; urgency=low

  * Update "Guide du Cabaliste Usenet". 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 10 Sep 2007 00:58:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Aurelien Jarno <aurel32@debian.org>
 Build-Depends: debhelper (>> 4.1.16), fortune-mod (>= 9708-31), sed (>= 3.02-8), perl, recode (>= 3.6-6), findutils (>= 4.1.7-2)
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 
 Package: fortunes-fr
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -37,9 +37,11 @@
 	dh_testroot
 
 	-cd $(CURDIR)/fortunes-fr-*/ && make clean
-	-rm -rf $(CURDIR)/linuxfr-undernet/linuxfr-20020411
-	-rm -rf $(CURDIR)/tolkien/tolkien_fr-1.6
-	-rm -f build-stamp configure-stamp
+	rm -f $(CURDIR)/fortunes-fr-*/config.log
+	rm -f $(CURDIR)/fortunes-fr-*/config.status
+	rm -rf $(CURDIR)/linuxfr-undernet/linuxfr-20020411
+	rm -rf $(CURDIR)/tolkien/tolkien_fr-1.6
+	rm -f build-stamp configure-stamp
 	dh_clean
 
 install: build
@@ -55,7 +57,8 @@
 	cd $(CURDIR)/fortunes-fr-* && make install DESTDIR=$(CURDIR)/debian/fortunes-fr
 	mv -f $(CURDIR)/debian/fortunes-fr/usr/share/doc/fortunes-fr/AUTHORS $(CURDIR)/debian/fortunes-fr/usr/share/doc/fortunes-fr/fortunes-fr.AUTHORS
 	mv -f $(CURDIR)/debian/fortunes-fr/usr/share/doc/fortunes-fr/CHANGES $(CURDIR)/debian/fortunes-fr/usr/share/doc/fortunes-fr/fortunes-fr.changelog
-	rm -f $(CURDIR)/debian/fortunes-fr/usr/share/doc/fortunes-fr/{COPYING,README}
+	rm -f $(CURDIR)/debian/fortunes-fr/usr/share/doc/fortunes-fr/COPYING
+	rm -f $(CURDIR)/debian/fortunes-fr/usr/share/doc/fortunes-fr/README
 	rm -f $(CURDIR)/debian/fortunes-fr/usr/share/games/fortunes/fr/*.dat
 
 	# ellislk

## fortunes-fr 0.65%2Bnmu2

=== fortunes-fr-0.02/doc/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/fortunes-fr
pkglibdir = $(libdir)/fortunes-fr
pkgincludedir = $(includedir)/fortunes-fr
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
ACLOCAL = ${SHELL} /home/aurel32/debian/packages/fortunes-fr/fortunes-fr-0.63/fortunes-fr-0.02/missing --run aclocal-1.7
AMTAR = ${SHELL} /home/aurel32/debian/packages/fortunes-fr/fortunes-fr-0.63/fortunes-fr-0.02/missing --run tar
AUTOCONF = ${SHELL} /home/aurel32/debian/packages/fortunes-fr/fortunes-fr-0.63/fortunes-fr-0.02/missing --run autoconf
AUTOHEADER = ${SHELL} /home/aurel32/debian/packages/fortunes-fr/fortunes-fr-0.63/fortunes-fr-0.02/missing --run autoheader
AUTOMAKE = ${SHELL} /home/aurel32/debian/packages/fortunes-fr/fortunes-fr-0.63/fortunes-fr-0.02/missing --run automake-1.7
AWK = gawk
CHARSET = default
CP = /bin/cp
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"fortunes-fr\" -DVERSION=\"0.02\" 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBOBJS = 
LIBS = 
LN = /bin/ln
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/aurel32/debian/packages/fortunes-fr/fortunes-fr-0.63/fortunes-fr-0.02/missing --run makeinfo
PACKAGE = fortunes-fr
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RECODE = 
RM = /bin/rm
SET_MAKE = 
SHELL = /bin/sh
STRFILE = /usr/bin/strfile
STRIP = 
VERSION = 0.02
ac_ct_STRIP = 
am__leading_dot = .
bindir = ${exec_prefix}/bin
build_alias = 
datadir = ${prefix}/share
exec_prefix = ${prefix}
fortunesdir = ${datadir}/games/fortunes
host_alias = 
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/aurel32/debian/packages/fortunes-fr/fortunes-fr-0.63/fortunes-fr-0.02/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
CLEAN_FILES = *~

fortunesdoc_DATA = 16eme_siecle.txt moyen_age.txt
fortunesdocdir = $(datadir)/doc/fortunes-fr

EXTRA_DIST = $(fortunesdoc_DATA)
subdir = doc
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
DIST_SOURCES =
DATA = $(fortunesdoc_DATA)

DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  doc/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
uninstall-info-am:
fortunesdocDATA_INSTALL = $(INSTALL_DATA)
install-fortunesdocDATA: $(fortunesdoc_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(fortunesdocdir)
	@list='$(fortunesdoc_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(fortunesdocDATA_INSTALL) $$d$$p $(DESTDIR)$(fortunesdocdir)/$$f"; \
	  $(fortunesdocDATA_INSTALL) $$d$$p $(DESTDIR)$(fortunesdocdir)/$$f; \
	done

uninstall-fortunesdocDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(fortunesdoc_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(fortunesdocdir)/$$f"; \
	  rm -f $(DESTDIR)$(fortunesdocdir)/$$f; \
	done
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:

DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(fortunesdocdir)
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am: install-fortunesdocDATA

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-fortunesdocDATA uninstall-info-am

.PHONY: all all-am check check-am clean clean-generic distclean \
	distclean-generic distdir dvi dvi-am info info-am install \
	install-am install-data install-data-am install-exec \
	install-exec-am install-fortunesdocDATA install-info \
	install-info-am install-man install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
	pdf-am ps ps-am uninstall uninstall-am \
	uninstall-fortunesdocDATA uninstall-info-am


verify:
	@echo -e "\nVrification des fichiers de documentation..."
	@for file in $(fortunesdoc_DATA) ; do \
		$(AWK) '{if (length($$0) > 78) print FILENAME": "NR": ERREUR: ligne trop longue"}' $$file ; \
	done
	@echo -e "\n"
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== fortunes-fr-0.02/data/sciences/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# data/sciences/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/fortunes-fr
pkglibdir = $(libdir)/fortunes-fr
pkgincludedir = $(includedir)/fortunes-fr
top_builddir = ../..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
ACLOCAL = ${SHELL} /home/aurel32/debian/packages/fortunes-fr/fortunes-fr-0.63/fortunes-fr-0.02/missing --run aclocal-1.7
AMTAR = ${SHELL} /home/aurel32/debian/packages/fortunes-fr/fortunes-fr-0.63/fortunes-fr-0.02/missing --run tar
AUTOCONF = ${SHELL} /home/aurel32/debian/packages/fortunes-fr/fortunes-fr-0.63/fortunes-fr-0.02/missing --run autoconf
AUTOHEADER = ${SHELL} /home/aurel32/debian/packages/fortunes-fr/fortunes-fr-0.63/fortunes-fr-0.02/missing --run autoheader
AUTOMAKE = ${SHELL} /home/aurel32/debian/packages/fortunes-fr/fortunes-fr-0.63/fortunes-fr-0.02/missing --run automake-1.7
AWK = gawk
CHARSET = default
CP = /bin/cp
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"fortunes-fr\" -DVERSION=\"0.02\" 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBOBJS = 
LIBS = 
LN = /bin/ln
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/aurel32/debian/packages/fortunes-fr/fortunes-fr-0.63/fortunes-fr-0.02/missing --run makeinfo
PACKAGE = fortunes-fr
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RECODE = 
RM = /bin/rm
SET_MAKE = 
SHELL = /bin/sh
STRFILE = /usr/bin/strfile
STRIP = 
VERSION = 0.02
ac_ct_STRIP = 
am__leading_dot = .
bindir = ${exec_prefix}/bin
build_alias = 
datadir = ${prefix}/share
exec_prefix = ${prefix}
fortunesdir = ${datadir}/games/fortunes
host_alias = 
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/aurel32/debian/packages/fortunes-fr/fortunes-fr-0.63/fortunes-fr-0.02/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
catdir := $(shell pwd)
catname = $(shell basename $(catdir))

fortunes := $(shell /bin/ls | $(AWK) '$$0 !~ /^(Makefile($$|\.in$$|\.am$$))|($(catname)($$|.dat$$))|(CVS)/ { print }')

# fortunesdir = $(datadir)/games/fortunes
fortunes_DATA = $(catname) $(catname).dat

CLEANFILES = $(catname) $(catname).dat *~
subdir = data/sciences
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
DIST_SOURCES =
DATA = $(fortunes_DATA)

DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  data/sciences/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
uninstall-info-am:
fortunesDATA_INSTALL = $(INSTALL_DATA)
install-fortunesDATA: $(fortunes_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(fortunesdir)
	@list='$(fortunes_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(fortunesDATA_INSTALL) $$d$$p $(DESTDIR)$(fortunesdir)/$$f"; \
	  $(fortunesDATA_INSTALL) $$d$$p $(DESTDIR)$(fortunesdir)/$$f; \
	done

uninstall-fortunesDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(fortunes_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(fortunesdir)/$$f"; \
	  rm -f $(DESTDIR)$(fortunesdir)/$$f; \
	done
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:

DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) \
	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
	  dist-hook
check-am: all-am
check: check-am
all-am: Makefile $(DATA)

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(fortunesdir)
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am: install-fortunesDATA

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-fortunesDATA uninstall-info-am

.PHONY: all all-am check check-am clean clean-generic distclean \
	distclean-generic distdir dvi dvi-am info info-am install \
	install-am install-data install-data-am install-exec \
	install-exec-am install-fortunesDATA install-info \
	install-info-am install-man install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
	pdf-am ps ps-am uninstall uninstall-am uninstall-fortunesDATA \
	uninstall-info-am


$(catname): $(fortunes)
	$(AWK) '{print}' $(fortunes) > $(catname)
	if [ "$(CHARSET)" != "default" ]; then \
		$(RECODE) ISO8859-15..$(CHARSET) $(catname) ; \
	fi

$(catname).dat: $(catname)
	strfile $(catname)

count:
	@for i in $(fortunes) ; do \
		$(AWK) '/^%$$/ {sum +=1} END {printf ("%s %i\n", FILENAME, sum); }' $$i ; \
	done | $(AWK) '{printf("%-40s %4i\n", $$1, $$2); count += $$2} END {printf("---------------------------------------------\n%-40s %4i\n", "TOTAL", count)}'

count-recursive:
	@$(AWK) '/^%$$/ {sum +=1} END {printf ("%s %i\n", "$(catname)", sum); }' $(fortunes) >> ../.count

verify:
	@echo -e "\nVrification des fichiers de citations..."
	@for file in $(fortunes) ; do \
		$(AWK) 'BEGIN { start = 1 }; /^%/ {if ($$0 != "%") print FILENAME": "NR": ERREUR: caractres supplmentaires aprs le %" ; len = (NR - start) ; if (len > 15) print FILENAME": "start": ERREUR: citation trop longue ("len" lignes)"; start = NR ;} END {if ($$0 != "%") print FILENAME": ERREUR: fichier non termin par un %"}' $$file ; \
		$(AWK) '{if (length($$0) > 72) print FILENAME": "NR": ERREUR: ligne trop longue ("length($$0)" caractres)"}' $$file ; \
		$(AWK) '/^        -/ {print FILENAME": "NR": ERREUR: 8 espaces  remplacer par une tabulation"}' $$file ; \
		$(AWK) '/^[ \t]*$$/ {print FILENAME": "NR": ERREUR: ligne vide"}' $$file ; \
	done
	@ echo -e "\n"

dist-hook:
	for i in $(fortunes) ; do \
		$(CP) --preserve --parents $$i $(distdir) ; \
	done
	$(LN) -sf ../Makefile.common $(distdir)/Makefile.am
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## fortunes-fr 0.65+nmu1

=== debian/changelog ===
fortunes-fr (0.65+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Bump debhelper compatibility level to 7
  * Explicitly use 1.0 source format
  * Fix pending l10n issues. Debconf translations:
    - Russian (Yuri Kozlov).  Closes: #541749
    - Italian (Vincenzo Campanella).  Closes: #576494
    - Spanish (Francisco Javier Cuadrado).  Closes: #577221

 -- Christian Perrier <bubulle@debian.org>  Mon, 12 Apr 2010 08:22:26 +0200
